﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;
using Infragistics.Windows.DataPresenter;
using System.Text;

namespace WpfApplication24
{
    public class GroupByRecordCountComparer:IComparer
    {
        #region IComparer Members

        public int Compare(object x, object y)
        {
            GroupByRecord grp1 = x as GroupByRecord;
            GroupByRecord grp2 = y as GroupByRecord;

            if (grp1.ChildRecords.Count > grp2.ChildRecords.Count)
            {
                return 1;
            }
            else if (grp1.ChildRecords.Count < grp2.ChildRecords.Count)
            {
                return -1;
            }
            else
            {
                return 0;
            }
        }

        #endregion

        
    }
    
}
