﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;
using Infragistics.Windows.DataPresenter;

namespace WpfApplication24
{
    public class GroupByRecordCountStringComparer:IComparer
    {

        #region IComparer Members

        public int Compare(object x, object y)
        {
            GroupByRecord grp1 = x as GroupByRecord;
            GroupByRecord grp2 = y as GroupByRecord;

            int valu1 = GetIntegerFromString(grp1.Description);
            int valu2 = GetIntegerFromString(grp2.Description);

            if (valu1 > valu2)
            {
                return 1;
            }
            else if (valu1 < valu2)
            {
                return -1;
            }
            else
            {
                return 0;
            }
        }

        #endregion

        public int GetIntegerFromString(string str)
        {
            StringBuilder sb = new StringBuilder();
            foreach (char c in str)
            {
                int v = 0;
                bool isInteger = int.TryParse(c.ToString(), out v);
                if (isInteger)
                {
                    sb.Append(v.ToString());
                }
            }
            int val = int.Parse(sb.ToString());
            return val;
        }
    }
}
